Name:           cockpit-image-builder
Version:        55
Release:        1.20250203183930586426.pr2835.21.gda0a7ef1%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-56.tar.gz

# Drop obsoletes until functional enough compared to cockpit-composer
# Obsoletes:      cockpit-composer < 54
# Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 103

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Mon Feb 3 2025 Packit <hello@packit.dev> - 55-1.20250203183930586426.pr2835.21.gda0a7ef1
- ImagesTable: fix local target status (Sanne Raymaekers)
- store/cockpit: fix compose request POST (Sanne Raymaekers)
- store/cockpit: fix URLs when using basequery (Sanne Raymaekers)
- CreateImageWizard: hide package group alert in cockpit plugin (Sanne Raymaekers)
- packit.yaml: fix upstream tag template (Sanne Raymaekers)
- ImagesTable: ensure local target is copyable (Sanne Raymaekers)
- store/cockpit: add package search (Gianluca Zuccarelli)
- store/cockpit: add content sources api (Gianluca Zuccarelli)
- store/backendApi: tidy up imports/exports (Gianluca Zuccarelli)
- store: fix api imports & exports (Gianluca Zuccarelli)
- store: split apis into sub directories (Gianluca Zuccarelli)
- CreateImageWizard: hide registration on-prem (Gianluca Zuccarelli)
- Wizard: Add Administrator field to review step (Michal Gold)
- test: Firewall edit tests (regexowl)
- store/cockpit: don't define top-level constants that use cockpit (Sanne Raymaekers)
- Wizard: Add firewall to on-prem mapper (regexowl)
- Update Konflux references (red-hat-konflux[bot])
- store/cockpitApi: use `baseQuery` for requests (Gianluca Zuccarelli)
- test/mocks/cockpit: make file replace a promise (Gianluca Zuccarelli)
- store/cockpit/baseQuery: add cockpit baseQuery (Gianluca Zuccarelli)
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
